Bug 1576379 - enrolled thunderbolt dock station isn't authorized after reboot
Summary: enrolled thunderbolt dock station isn't authorized after reboot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bolt
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Kellner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 10:17 UTC by Tomas Krizek
Modified: 2018-06-07 12:34 UTC (History)
1 user (show)

Fixed In Version: bolt-0.4-1.fc27 bolt-0.4-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-07 11:49:24 UTC
Type: Bug


Attachments (Terms of Use)
bolt jounral (2.72 KB, text/x-vhdl)
2018-05-09 10:46 UTC, Tomas Krizek
no flags Details

Description Tomas Krizek 2018-05-09 10:17:13 UTC
Description of problem: After I enroll my Thunderbolt Cable and Thunderbolt Dock with boltctl and reboot, the Thunderbolt Dock isn't automatically re-authorized after reboot.


Version-Release number of selected component (if applicable): bolt-0.3-1.fc28.x86_64


How reproducible: 100% with my hardware


Steps to Reproduce:
1. enroll Thunderbolt Cable and Thunderbolt Dock
2. reboot

Actual results: Only Thunderbolt Cable is authorized on reboot, while Thunderbolt Dock stays 'connected'. This prevents proper function of devices connected to Thunderbolt Dock.

Expected results: Both Thunderbold Cable and Thunderbolt Dock are authorized after reboot.


Additional info:
$ boltctl list
 ● Dell Thunderbolt Cable
   ├─ type:          peripheral
   ├─ name:          Thunderbolt Cable
   ├─ vendor:        Dell
   ├─ uuid:          aaaaaaaa-bbbb-cccc-ffff-ffffffffffff
   ├─ status:        authorized
   │  ├─ authflags:  none
   │  ├─ authorized: 2018-05-09T10:10:21 UTC
   │  └─ connected:  2018-05-09T10:10:18 UTC
   └─ stored:        yes
      ├─ when:       2018-05-09T09:52:11 UTC
      ├─ policy:     auto
      └─ key:        no

 ● Dell Thunderbolt Dock
   ├─ type:          peripheral
   ├─ name:          Thunderbolt Dock
   ├─ vendor:        Dell
   ├─ uuid:          cccccccc-dddd-eeee-ffff-ffffffffffff
   ├─ status:        connected
   │  ├─ authflags:  none
   │  └─ connected:  2018-05-09T10:10:18 UTC
   └─ stored:        yes
      ├─ when:       2018-05-09T09:52:19 UTC
      ├─ policy:     auto
      └─ key:        no


/var/lib/boltd/devices/aaaaaaaa-bbbb-cccc-ffff-ffffffffffff
[device]
name=Thunderbolt Cable
vendor=Dell
type=peripheral

[user]
policy=auto
storetime=1525859531


/var/lib/boltd/devices/cccccccc-dddd-eeee-ffff-ffffffffffff
[device]
name=Thunderbolt Dock
vendor=Dell
type=peripheral

[user]
policy=auto
storetime=1525859539

Comment 1 Christian Kellner 2018-05-09 10:21:25 UTC
Can you attach the output of "journalctl -b0 -u bolt", please?

Comment 2 Tomas Krizek 2018-05-09 10:46:49 UTC
Created attachment 1433724 [details]
bolt jounral

Comment 3 Christian Kellner 2018-05-09 11:03:40 UTC
I think I have an idea what is going on. The uevent is too slow and therefore the status is already updated to authorized and the "maybe-authorize-child-devices" logic does not kick in. I actually recently fixed that in master. Let me roll a dev snapshot RPM for you to test.

Comment 4 Christian Kellner 2018-05-09 19:49:05 UTC
Sorry, that took longer then expected, but a current build is now available at the "gicmo/bolt" copr.
https://copr.fedorainfracloud.org/coprs/gicmo/bolt/
Would be great if you could test it and report if that fixes it for you.

Comment 5 Tomas Krizek 2018-05-10 07:44:04 UTC
bolt-0.4-0.20180509gite93aa7d.fc28.x86_64 works as expected.

Thanks for the quick response!

Comment 6 Fedora Update System 2018-05-28 15:34:20 UTC
bolt-0.4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c421a9e86b

Comment 7 Fedora Update System 2018-05-28 15:46:18 UTC
bolt-0.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-58ddbe925b

Comment 8 Fedora Update System 2018-05-29 12:02:26 UTC
bolt-0.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-58ddbe925b

Comment 9 Fedora Update System 2018-05-29 13:12:50 UTC
bolt-0.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c421a9e86b

Comment 10 Fedora Update System 2018-06-07 11:49:24 UTC
bolt-0.4-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-06-07 12:34:23 UTC
bolt-0.4-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.